﻿//-----------------------------------------------------------------------
// <copyright file="ListViewGroupHeaderSorter.cs" company="MSCRMTools">
//     Copyright © MSCRMTools. All rights reserved.
// </copyright>
// <authorSTE_ALSY\tanguy.touzard</author>
// <date>23/09/2011</date>
// <codeplexurl>http://roleupdater.codeplex.com</codeplexurl>
// <summary>no summary</summary>
//-----------------------------------------------------------------------
using System.Collections.Generic;
using System.Windows.Forms;

namespace RoleUpdater
{
    public class ListViewGroupHeaderSorter : IComparer<ListViewGroup>
    {
        private bool _ascending = true;
        
        public ListViewGroupHeaderSorter(bool ascending)
        {
            _ascending = ascending;
        }

        #region IComparer<ListViewGroup> Members

        public int Compare(ListViewGroup x, ListViewGroup y)
        {
            if (_ascending)
                return string.Compare(((ListViewGroup)x).Header, ((ListViewGroup)y).Header);
            else
                return string.Compare(((ListViewGroup)y).Header, ((ListViewGroup)x).Header);
        }

        #endregion
    }
}